Enhancement #3168

The software center doesn't respect dependencies when rpm are removed

Added by stephane de Labrusse over 4 years ago. Updated over 3 years ago.

Status:CLOSEDStart date:
Priority:NormalDue date:
Assignee:-% Done:

100%

Category:-
Target version:~FUTURE
Resolution:REJECTED NEEDINFO:No

Description

Nethserver-transmission uses nethserver-samba as dependency like 'nethsever-ipsec & nethserver-openvpn'. When you use the software-center to remove nethserver-ipsec & nethserver-openvpn the dependency nethserver-samba and also nethserver-transmission which is not a dependency of vpn rpm are removed.

Of course if you use yum to remove them in a terminal, only nethserver-ipsec & nethserver-openvpn are removed because nethserver-transmission needs nethserver-samba

# yum remove  nethserver-ipsec nethserver-openvpn
Loaded plugins: changelog, fastestmirror, nethserver_events
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package nethserver-ipsec.noarch 0:1.0.3-1.ns6 will be erased
---> Package nethserver-openvpn.noarch 0:1.2.0-1.ns6 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                                 Arch                                        Version                                           Repository                                             Size
===================================================================================================================================================================================================================
Removing:
 nethserver-ipsec                                        noarch                                      1.0.3-1.ns6                                       @nethserver-base                                       52 k
 nethserver-openvpn                                      noarch                                      1.2.0-1.ns6                                       @nethserver-base                                       66 k

Transaction Summary
===================================================================================================================================================================================================================
Remove        2 Package(s)

Installed size: 118 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : nethserver-openvpn-1.2.0-1.ns6.noarch                                                                                                                                                           1/2 
  Erasing    : nethserver-ipsec-1.0.3-1.ns6.noarch                                                                                                                                                             2/2 
  Verifying  : nethserver-ipsec-1.0.3-1.ns6.noarch                                                                                                                                                             1/2 
  Verifying  : nethserver-openvpn-1.2.0-1.ns6.noarch                                                                                                                                                           2/2 

Removed:
  nethserver-ipsec.noarch 0:1.0.3-1.ns6                                                                   nethserver-openvpn.noarch 0:1.2.0-1.ns6                                                                  

Complete!

History

#1 Updated by Giacomo Sanchietti over 4 years ago

The software center works only on yum groups.
When you remove a group, all mandatory packages inside that groups are also removed.

#2 Updated by stephane de Labrusse over 4 years ago

You will have surprises with other rpm that need removed dependencies. There is no possibilities to add a verification of installed rpm and their dependencies, of course this bug could be set as an enhancement of the software center

#3 Updated by Giacomo Sanchietti over 4 years ago

stephane de Labrusse wrote:

You will have surprises with other rpm that need removed dependencies. There is no possibilities to add a verification of installed rpm and their dependencies, of course this bug could be set as an enhancement of the software center

What about a page where the user can review all the software which will be uninstalled?

#4 Updated by stephane de Labrusse over 4 years ago

why not in a first attempt if it is easier to fix, but at the end the problem is the conception of the software center, the group install doesn't satisfy me :)

I would prefer a rpm policy ready to remove one rpm and let dependencies to other installed rpm instead to remove the rpm which need the same dependencies.

#5 Updated by Giacomo Sanchietti over 4 years ago

  • Target version set to ~FUTURE

#6 Updated by Giacomo Sanchietti over 4 years ago

  • Tracker changed from Bug to Enhancement

The problem should be analyzed more in depth.

#7 Updated by Giacomo Sanchietti over 3 years ago

  • Status changed from NEW to CLOSED
  • % Done changed from 0 to 100

Partially implemented on NS 7.

See also http://community.nethserver.org/t/software-center-package-removal-behaviour/4090 for further development.

#8 Updated by Davide Principi over 3 years ago

  • Resolution set to REJECTED

Also available in: Atom PDF